/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"pdb.h"

int
favt_cmp_string_1(STRING_INDEX * ix1,STRING_INDEX * ix2)
{
	return l_strcmp(ix1->d,ix2->d);
}

int
favt_cmp_string_2(STRING_INDEX * ix1,STRING_INDEX * ix2)
{
L_CHAR * c1,* c2;
L_CHAR * o1,* o2;
int len,ret;

	c1 = ix1->d;
	c2 = ix2->d;
	ret = l_strcmp(c1,c2);
	if ( ret )
		return ret;
	len = l_strlen(c1);
	o1 = &ix1->d[len+1];
	len = l_strlen(c2);
	o2 = &ix2->d[len+1];
	return l_strcmp(o1,o2);
}


